/*
http://processing.org/discourse/yabb2/YaBB.pl?num=1268782268/3
 On deia new java.awt.Color(...
 cal posar new java.awt.Color(...
 */
//Import all Phys2D libraries
import pphys2d.bodies.*;
import pphys2d.joints.*;
import pphys2d.shapes.*;
import pphys2d.phys2d.raw.collide.*;
import pphys2d.phys2d.raw.strategies.*;
import pphys2d.phys2d.raw.forcesource.*;
import pphys2d.phys2d.util.*;
import pphys2d.phys2d.raw.shapes.*;
import pphys2d.*;
import pphys2d.phys2d.raw.*;
import pphys2d.phys2d.math.*;

//Create a PPhys2D world
PPWorld world = new PPWorld();

void setup () {
  
  //Set size and framerate
  frameRate(30);
  size(500,500);
  
  world.setGravity(0, 200);

  //Ground 1
  PPBox body1 = new PPBox(400, 20);
  body1.setPosition(250, 400);
  body1.setStaticBody(true);
  body1.setFillColor(new java.awt.Color(255,255,255));  
  body1.setStrokeColor(new java.awt.Color(0,0,0)); 
  world.add(body1);

  //Ground 2
  PPBox body3 = new PPBox(200, 20);
  body3.setPosition(360, 380);
  body3.setStaticBody(true);
  body3.setFillColor(new java.awt.Color(255,255,255));  
  body3.setStrokeColor(new java.awt.Color(0,0,0)); 
  world.add(body3);
  
  //Wall 1
  PPBox body5 = new PPBox(20, 100);
  body5.setPosition(200, 300);
  body5.setStaticBody(true);
  body5.setFillColor(new java.awt.Color(255,255,255));  
  body5.setStrokeColor(new java.awt.Color(0,0,0)); 
  world.add(body5);
  
  //Wall 2
  PPBox body6 = new PPBox(20.0f, 100.0f);
  body6.setPosition(400.0f, 300);
  body6.setStaticBody(true); 
  body6.setFillColor(new java.awt.Color(255,255,255));  
  body6.setStrokeColor(new java.awt.Color(0,0,0));  
  world.add(body6);  
  
  //Mover 1
  PPBox body2 = new PPBox(50, 50);
  body2.setMass(100);  
  body2.setPosition(250, 4);
  body2.setFillColor(new java.awt.Color(255,255,255));  
  body2.setStrokeColor(new java.awt.Color(0,0,0)); 
  world.add(body2);
  
  //Mover 2
  PPBox body4 = new PPBox(50, 50);
  body4.setMass(100.0f);  
  body4.setPosition(230, -60);
  body4.setRestitution(0.99); 
  body4.setFillColor(new java.awt.Color(255,255,255));  
  body4.setStrokeColor(new java.awt.Color(0,0,0));  
  world.add(body4);
  
  //Mover 3
  PPBox body8 = new PPBox(50, 50);
  body8.setMass(100);  
  body8.setRestitution(0.99);  
  body8.setPosition(280.0f, -120);
  body8.setFillColor(new java.awt.Color(255,255,255));  
  body8.setStrokeColor(new java.awt.Color(0,0,0)); 
  world.add(body8); 
}

void draw () {
  //Clear screen
  background(255); 
  //Draw world
  world.draw(this);
}
